Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Basic_StreamCtrl Class Reference

Base class for StreamCtrl, implements basic stream start and stop functionality. More...

`#include <AVStreams_i.h>`

Inheritance diagram for TAO_Basic_StreamCtrl:

[legend]
Collaboration diagram for TAO_Basic_StreamCtrl:

[legend]
List of all members.

## Public Methods
| TAO_Basic_StreamCtrl (void)
| Default Constructor. More...
virtual | ~TAO_Basic_StreamCtrl (void)
| Destructor. More...
virtual void | stop (const AVStreams::flowSpec &the_spec ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, AVStreams::noSuchFlow)
| Stop the transfer of data of the stream Empty the_spec means apply operation to all flows. More...
virtual void | start (const AVStreams::flowSpec &the_spec ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, AVStreams::noSuchFlow)
| Start the transfer of data in the stream. Empty the_spec means apply operation to all flows. More...
virtual void | destroy (const AVStreams::flowSpec &the_spec ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, AVStreams::noSuchFlow)
| Tears down the stream. More...
virtual CORBA::Boolean | modify_QoS (AVStreams::streamQoS &new_qos, const AVStreams::flowSpec &the_spec ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, AVStreams::noSuchFlow, AVStreams::QoSRequestFailed)
| Changes the QoS associated with the stream Empty the_spec means apply operation to all flows. More...
virtual void | push_event (const struct CosPropertyService::Property &the_event ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Used by StreamEndPoint and VDev to inform StreamCtrl of events. E.g., loss of flow, reestablishment of flow, etc.. More...
virtual void | set_FPStatus (const AVStreams::flowSpec &the_spec, const char *fp_name, const CORBA::Any &fp_settings ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, AVStreams::noSuchFlow, AVStreams::FPError)
| Used to control the flow protocol parameters. More...
virtual CORBA::Object_ptr | get_flow_connection (const char *flow_name ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, AVStreams::noSuchFlow, AVStreams::notSupported)
| Not implemented in the light profile, will raise the notsupported exception. More...
virtual void | set_flow_connection (const char *flow_name, CORBA::Object_ptr flow_connection ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, AVStreams::noSuchFlow, AVStreams::notSupported)
| Not implemented in the light profile, will raise the notsupported exception. More...
## Protected Types
typedef ACE_Hash_Map_Manager< ACE_CString, AVStreams::FlowConnection_var, ACE_Null_Mutex > | FlowConnection_Map
| Hash table for the flow names and its corresponding flowconnection object reference. More...
typedef ACE_Hash_Map_Iterator< ACE_CString, AVStreams::FlowConnection_var, ACE_Null_Mutex > | FlowConnection_Map_Iterator
typedef ACE_Hash_Map_Entry< ACE_CString, AVStreams::FlowConnection_var > | FlowConnection_Map_Entry
## Protected Attributes
AVStreams::VDev_var | vdev_a_
| The Virtual Devices for this stream. More...
AVStreams::VDev_var | vdev_b_
AVStreams::StreamEndPoint_A_var | sep_a_
| The Endpoints for this stream. More...
AVStreams::StreamEndPoint_B_var | sep_b_
FlowConnection_Map | flow_connection_map_
AVStreams::FlowConnection_seq | flowConnections_
u_int | flow_count_
| sequence of flow names. More...
AVStreams::flowSpec | flows_

## Detailed Description

Base class for StreamCtrl, implements basic stream start and stop functionality.

## Member Typedef Documentation

typedef ACE_Hash_Map_Manager<ACE_CString,AVStreams::FlowConnection_var,ACE_Null_Mutex> TAO_Basic_StreamCtrl::FlowConnection_Map`[protected]`

| Hash table for the flow names and its corresponding flowconnection object reference.

typedef ACE_Hash_Map_Entry<ACE_CString,AVStreams::FlowConnection_var> TAO_Basic_StreamCtrl::FlowConnection_Map_Entry`[protected]`

typedef ACE_Hash_Map_Iterator<ACE_CString,AVStreams::FlowConnection_var,ACE_Null_Mutex> TAO_Basic_StreamCtrl::FlowConnection_Map_Iterator`[protected]`

## Constructor & Destructor Documentation

TAO_Basic_StreamCtrl::TAO_Basic_StreamCtrl | ( | void |  | ) |

| Default Constructor.

TAO_Basic_StreamCtrl::~TAO_Basic_StreamCtrl | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual void TAO_Basic_StreamCtrl::destroy | ( | const AVStreams::flowSpec &the_spec | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException, AVStreams::noSuchFlow)`[virtual]`

| Tears down the stream. This will close the connection, and delete the streamendpoint and vdev associated with this stream Empty the_spec means apply operation to all flows Reimplemented in TAO_StreamCtrl.

CORBA::Object_ptr TAO_Basic_StreamCtrl::get_flow_connection | ( | const char *flow_name | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException, AVStreams::noSuchFlow, AVStreams::notSupported)`[virtual]`

| Not implemented in the light profile, will raise the notsupported exception.

virtual CORBA::Boolean TAO_Basic_StreamCtrl::modify_QoS | ( | AVStreams::streamQoS & | new_qos,
|  | const AVStreams::flowSpec &the_spec | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException, AVStreams::noSuchFlow, AVStreams::QoSRequestFailed)`[virtual]`

| Changes the QoS associated with the stream Empty the_spec means apply operation to all flows. Reimplemented in TAO_StreamCtrl.

virtual void TAO_Basic_StreamCtrl::push_event | ( | const struct CosPropertyService::Property &the_event | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)`[virtual]`

| Used by StreamEndPoint and VDev to inform StreamCtrl of events. E.g., loss of flow, reestablishment of flow, etc..

virtual void TAO_Basic_StreamCtrl::set_flow_connection | ( | const char * | flow_name,
|  | CORBA::Object_ptr flow_connection | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException, AVStreams::noSuchFlow, AVStreams::notSupported)`[virtual]`

| Not implemented in the light profile, will raise the notsupported exception.

void TAO_Basic_StreamCtrl::set_FPStatus | ( | const AVStreams::flowSpec & | flow_spec,
|  | const char * | fp_name,
|  | const CORBA::Any &fp_settings | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException, AVStreams::noSuchFlow, AVStreams::FPError)`[virtual]`

| Used to control the flow protocol parameters.

virtual void TAO_Basic_StreamCtrl::start | ( | const AVStreams::flowSpec &the_spec | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException, AVStreams::noSuchFlow)`[virtual]`

| Start the transfer of data in the stream. Empty the_spec means apply operation to all flows. Reimplemented in TAO_StreamCtrl.

virtual void TAO_Basic_StreamCtrl::stop | ( | const AVStreams::flowSpec &the_spec | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException, AVStreams::noSuchFlow)`[virtual]`

| Stop the transfer of data of the stream Empty the_spec means apply operation to all flows. Reimplemented in TAO_StreamCtrl.

## Member Data Documentation

FlowConnection_Map TAO_Basic_StreamCtrl::flow_connection_map_`[protected]`

u_int TAO_Basic_StreamCtrl::flow_count_`[protected]`

| sequence of flow names.

AVStreams::FlowConnection_seq TAO_Basic_StreamCtrl::flowConnections_`[protected]`

AVStreams::flowSpec TAO_Basic_StreamCtrl::flows_`[protected]`

AVStreams::StreamEndPoint_A_var TAO_Basic_StreamCtrl::sep_a_`[protected]`

| The Endpoints for this stream.

AVStreams::StreamEndPoint_B_var TAO_Basic_StreamCtrl::sep_b_`[protected]`

AVStreams::VDev_var TAO_Basic_StreamCtrl::vdev_a_`[protected]`

| The Virtual Devices for this stream.

AVStreams::VDev_var TAO_Basic_StreamCtrl::vdev_b_`[protected]`

The documentation for this class was generated from the following files:

- AVStreams_i.h
- AVStreams_i.cpp